- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Friends
efl::eina::list< T, CloneAllocator, typename std::enable_if< std::is_base_of< efl::eo::base, T >::value >::type > Class Template Reference

## Public Types
typedef T | value_type
typedef value_type & | reference
typedef value_type const & | const_reference
typedef _ptr_eo_list_iterator < value_type const > | const_iterator
typedef _ptr_eo_list_iterator < value_type > | iterator
typedef value_type * | pointer
typedef value_type const * | const_pointer
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef _base_type::clone_allocator_type | clone_allocator_type
typedef std::reverse_iterator < iterator > | reverse_iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator

## Public Member Functions
| list (Eina_List *handle)
| list (clone_allocator_type alloc)
| list (size_type n, const_reference t)
template<typename InputIterator >
| list (InputIterator i, InputIterator const &j, clone_allocator_type const &alloc=clone_allocator_type(), typename eina::enable_if<!eina::is_integral< InputIterator >::value >::type *=0)
| list (list< T, CloneAllocator > const &other)
list< T, CloneAllocator > & | operator= (list< T, CloneAllocator >const &other)
list & | operator= (list &&other)=default
| list (list &&other)=default
void | push_back (const_reference w)
void | push_front (const_reference w)
iterator | insert (iterator i, const_reference v)
iterator | insert (iterator i, size_t n, const_reference v)
template<typename InputIterator >
iterator | insert (iterator p, InputIterator i, InputIterator j, typename eina::enable_if<!eina::is_integral< InputIterator >::value >::type *=0)
iterator | erase (iterator p)
iterator | erase (iterator i, iterator j)
template<typename InputIterator >
void | assign (InputIterator i, InputIterator j, typename eina::enable_if<!eina::is_integral< InputIterator >::value >::type *=0)
void | assign (size_type n, value_type const &t)
reference | front ()
reference | back ()
const_reference | front () const
const_reference | back () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
const_iterator | cbegin () const
const_iterator | cend () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
const_reverse_iterator | crbegin () const
const_reverse_iterator | crend () const

## Friends
bool | operator== (list< T, CloneAllocator > const &rhs, list< T, CloneAllocator > const &lhs)